Retrieves the project with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

_parent_id

Reference to a parent installation

globally unique identifier
root_parent_id

This field will be filled automatically based on the parent_id

globally unique identifier
_parent_reference_back_office

Embedded entity "project" for parent installation using ERP PK when adding/updating project

string
_parent_project

Embedded entity "project" for parent installation when adding/updating project

project
equipment_family_id

Foreign key to equipment_family. It can be taken via equipment_family_code, equipment_family or equipment model that links to a valid equipment family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating project

string
equipment_family

Embedded entity "equipment_family" when adding/updating project

equipment_family
equipment_model_id

Foreign key to equipment model. It can get via equipment_family_code, equipment_family or equipment_model

globally unique identifier
equipment_model_code

Embedded entity "equipment_model" using ERP PK when adding/updating project

string
equipment_model

Embedded entity "equipment_model" when adding/updating project

equipment_model
project_status_id

Foreign key to project_status

globally unique identifier

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status_code

Embedded entity "project_status" using ERP PK when adding/updating project

string

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status

Embedded entity "project_status" when adding/updating project

project_status

Optionally required : project_status_id, project_status_code or project_status must be provided

company_id

The company owner of this project/installation

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating project

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating project

company

Optionally required : company_id, company_code or company must be provided

db_address_id

Specific db_address_id of the %company_id% if different than the company default address

globally unique identifier
db_address_code

Embedded entity "db_address" using ERP PK when adding/updating project

string
db_address

Embedded entity "db_address" when adding/updating project

db_address
location

Additional text to describe the location

string

Max length: 255

contact_id

Main contact for this project/installation

globally unique identifier
contact_reference_back_office

Embedded entity "contact" using ERP PK when adding/updating project

string
contact

Embedded entity "contact" when adding/updating project

contact
owner_user_id

User owner/manager of this project/installation

globally unique identifier
name

Name of the project/installation

string

Required

Max length: 50

description

Long description

string
reference_back_office

The Id/Ref of the back office for this project/installation. Used by Embedded entity

string

Max length: 255

serial_number

Serial number

string

Max length: 255

barcode

Barcode

string

Max length: 50

date_start_production

Date project/installation becomes active

date
date_create

Creation date+time

date
date_update

Update date+time

date
updated_by_user_id

Last User that updates the object

globally unique identifier
customer_reference

Reference of this project/installation for the customer

string

Max length: 50

warranty_date_until

End date of the warranty (if applicable)

date
last_standard_result_score_1

Last result score 1 (CF Standard module)

string

Max length: 50

last_standard_result_score_2

Last result score 2 (CF Standard module)

string
target_standard_result_score_1

Target result score 1 (CF Standard module)

string

Max length: 50

target_standard_result_score_2

Target result score 2 (CF Standard module)

string

Max length: 50

date_built

Build date of the installation (if applicable)

date
shutdown_consequence

Consequence of the installation is shut down (CEO has no air cooling anymore,..)

string

Max length: 4000

id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer
nb_open_jobs

Readonly - Number of open jobs

integer
date_next_job

Date+time of the next job planned

date
date_last_job

Date+time of the last job completed

date
nb_jobs_planned

Number of jobs with status Planned

integer
nb_jobs_tobeplanned

Number of jobs with status To Be Planned

integer
nb_jobs_waitingfurtheraction

Number of jobs with status Waiting Further Action

integer
back_office_timestamp

Back Office timestamp value (conflict detection purpose)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
is_mobile_installation

Set it TRUE if this is a mobile installation.

boolean

Response Formats

application/json, text/json

Sample:
{
  "id": "a9b72135-8c43-4af7-bb50-77bf9de0b1db",
  "_parent_id": "06959672-8f16-44b0-ab5c-417ec0a847fd",
  "root_parent_id": "c2dd51f3-61bb-406d-8c32-9fc3e7b9f185",
  "_parent_reference_back_office": "sample string 4",
  "equipment_family_id": "39835d47-a055-4a05-b1ed-ff482108bac6",
  "equipment_family_code": "sample string 6",
  "equipment_family": {
    "id": "17beedc0-9d79-4b56-9d91-43c107c2786f",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "86ebbc44-1c5c-49f6-bf72-41a7cd3babbf",
    "_parent_code": "sample string 6",
    "sales_organization_id": "2d78b93a-2641-4227-9b4d-e6bab4cfe21d",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "0f53ba66-9873-4335-ba75-ab69cc52f107",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "ad758c24-60b7-43e2-90c5-11f4bd6976c2",
      "db_currency_id": "f0187f9b-51a5-4f17-90a5-89a5174e786e",
      "db_language_id": "ee42c04a-0b31-4291-86e5-cdea8d270424",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00"
    },
    "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00"
  },
  "equipment_model_id": "0df630cd-9cc1-48f1-bf4f-95fc280c5ea3",
  "equipment_model_code": "sample string 8",
  "equipment_model": {
    "id": "1296eacb-aca5-47b0-90d6-3c149629a1f6",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "equipment_brand_id": "ff5c404e-1a05-48ff-bfbd-44c817233cd9",
    "equipment_brand_code": "sample string 6",
    "equipment_brand": {
      "id": "06c74339-fb4a-41b1-82f1-c70fc59d1cd1",
      "name": "sample string 2",
      "code": "sample string 3",
      "sales_organization_id": "749a1f19-27d8-4a6e-b577-f64c7936eff9",
      "sales_organization_code": "sample string 5",
      "sales_organization": {
        "id": "0f53ba66-9873-4335-ba75-ab69cc52f107",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "ad758c24-60b7-43e2-90c5-11f4bd6976c2",
        "db_currency_id": "f0187f9b-51a5-4f17-90a5-89a5174e786e",
        "db_language_id": "ee42c04a-0b31-4291-86e5-cdea8d270424",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00"
      },
      "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00"
    },
    "equipment_family_id": "a93ac2dd-748c-4b2c-8cc3-993ebb462524",
    "equipment_family_code": "sample string 8",
    "equipment_family": {
      "id": "17beedc0-9d79-4b56-9d91-43c107c2786f",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "_parent_id": "86ebbc44-1c5c-49f6-bf72-41a7cd3babbf",
      "_parent_code": "sample string 6",
      "sales_organization_id": "2d78b93a-2641-4227-9b4d-e6bab4cfe21d",
      "sales_organization_code": "sample string 8",
      "sales_organization": {
        "id": "0f53ba66-9873-4335-ba75-ab69cc52f107",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "ad758c24-60b7-43e2-90c5-11f4bd6976c2",
        "db_currency_id": "f0187f9b-51a5-4f17-90a5-89a5174e786e",
        "db_language_id": "ee42c04a-0b31-4291-86e5-cdea8d270424",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00"
      },
      "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00"
    },
    "date_in_production_since": "2026-11-19T12:40:43.8923168+00:00",
    "date_out_of_production_since": "2026-11-19T12:40:43.8923168+00:00",
    "date_end_support": "2026-11-19T12:40:43.8923168+00:00",
    "sales_organization_id": "5739bb99-25cc-4f75-a550-865e7593b628",
    "sales_organization_code": "sample string 13",
    "sales_organization": {
      "id": "0f53ba66-9873-4335-ba75-ab69cc52f107",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "ad758c24-60b7-43e2-90c5-11f4bd6976c2",
      "db_currency_id": "f0187f9b-51a5-4f17-90a5-89a5174e786e",
      "db_language_id": "ee42c04a-0b31-4291-86e5-cdea8d270424",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00"
    },
    "replacement_period_nb_months": 14,
    "warranty_period_nb_months": 15,
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ],
    "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00"
  },
  "project_status_id": "b4463c7e-7951-41f6-a434-848a15a55320",
  "project_status_code": "sample string 10",
  "project_status": {
    "id": "269a735f-2c6e-4976-92ad-c8a0c80ec780",
    "name": "sample string 2",
    "is_default": true,
    "is_closed": true,
    "sales_organization_id": "be9eab0b-fffa-48a4-b303-8f309991a9e4",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "0f53ba66-9873-4335-ba75-ab69cc52f107",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "ad758c24-60b7-43e2-90c5-11f4bd6976c2",
      "db_currency_id": "f0187f9b-51a5-4f17-90a5-89a5174e786e",
      "db_language_id": "ee42c04a-0b31-4291-86e5-cdea8d270424",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00"
    },
    "code": "sample string 7",
    "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00"
  },
  "company_id": "d427a08f-c2f1-4538-ab98-2156a8593138",
  "company_code": "sample string 12",
  "db_address_id": "cb841a58-82b8-44ed-bf2d-b6facc070db1",
  "db_address_code": "sample string 14",
  "location": "sample string 15",
  "contact_id": "9d839774-47b3-4105-a3dd-23e73eec1a8e",
  "contact_reference_back_office": "sample string 17",
  "owner_user_id": "5693eaaa-690e-4f6e-8b7c-7ad4abbb82c9",
  "name": "sample string 19",
  "description": "sample string 20",
  "reference_back_office": "sample string 21",
  "serial_number": "sample string 22",
  "barcode": "sample string 23",
  "date_start_production": "2026-11-19T12:40:43.8923168+00:00",
  "date_create": "2026-11-19T12:40:43.8923168+00:00",
  "date_update": "2026-11-19T12:40:43.8923168+00:00",
  "updated_by_user_id": "4f3abf0c-7756-4080-8ea3-d274d18a209e",
  "customer_reference": "sample string 28",
  "warranty_date_until": "2026-11-19T12:40:43.8923168+00:00",
  "last_standard_result_score_1": "sample string 30",
  "last_standard_result_score_2": "sample string 31",
  "target_standard_result_score_1": "sample string 32",
  "target_standard_result_score_2": "sample string 33",
  "date_built": "2026-11-19T00:00:00+00:00",
  "shutdown_consequence": "sample string 35",
  "id2": 36,
  "nb_open_jobs": 37,
  "date_next_job": "2026-11-19T12:40:43.8923168+00:00",
  "date_last_job": "2026-11-19T12:40:43.8923168+00:00",
  "nb_jobs_planned": 40,
  "nb_jobs_tobeplanned": 41,
  "nb_jobs_waitingfurtheraction": 42,
  "back_office_timestamp": "2026-11-19T12:40:43.8923168+00:00",
  "modified_dateutc": "2026-11-19T12:40:43.8923168+00:00",
  "is_mobile_installation": true
}